blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
120db99e832d24240b06a3b43e4424023834e836 | 574 | #!/usr/bin/env bash
declare ROOT_DIR=""
function set_bash_error_handling() {
set -euo pipefail
}
function set_project_root_directory() {
local -r script_dir=$( dirname "${BASH_SOURCE[0]}")
cd "$script_dir/.."
ROOT_DIR=$(pwd)
}
function run_e2e_tests() {
cd "$ROOT_DIR/library-backend-service"
... |
6488bff04fafbeef299375118d9846c506e30042 | 735 | script_dir="$(cd "$(dirname "$0")" && pwd)"
source ${script_dir}/lib/get_os_version.sh
source ${script_dir}/lib/log.sh
source ${script_dir}/lib/colors.sh
source ${script_dir}/lib/install_thirdparty_dependencies.sh
source ${script_dir}/lib/install_vineyard.sh
source ${script_dir}/lib/util.sh
## Code here runs inside t... |
9b711ea46cdcc440d8c0af69f9bcd0b812103ca9 | 159 | #!/usr/bin/env bash
echo "Delete job name: '$Name'"
JOBS_DIR="/opt/jenkins/schedules"
JOB_BASE_NAME="madcore_schedule_${Name}"
rm $JOBS_DIR/$JOB_BASE_NAME*
|
dc85855ae6763122b9842ff44d49dd4b0ddac83c | 171 | #! /bin/bash
rm -rf workspace
rm -rf workspace_apps
mkdir workspace
mkdir workspace_apps
time java -jar ApkCombiner-1.0.1.jar $*
rm -rf workspace
rm -rf workspace_apps
|
16e75f14d574613d7a1e4c55c9d1f276738766ab | 287 | #!/bin/bash
wget http://dist.neo4j.org/neo4j-community-3.0.0-M02-unix.tar.gz
tar -xf neo4j-community-3.0.0-M02-unix.tar.gz
sudo add-apt-repository ppa:openjdk-r/ppa
sudo apt-get update
sudo apt-get install -y openjdk-8-jdk
java -version
cd ~/neo4j-community-3.0.0-M02/
bin/neo4j start
|
bf5ab3a7ef976c1c36a6123879b9871bd2a8d0bc | 6,250 | #!/bin/bash
PFAD="/var/www/" #Pfad zum Web-Verzeichnis
r=0 # Backup-Zahl auf Null setzen
IFS="; " #Spezial-Variable - enthält Trennzeichen zum Trennen von Luftdruck und -temperatur
re='^[0-9]+$' # Regulärer Ausdruck, ob Variable eine Zahl ist
pushbullet_api_key=$(cat /home/pi/Temperaturmessung/Fremddateien/pushbullet_s... |
9dc5b255ea5263ddd937f0381ab4802f579761b0 | 572 | #!/bin/bash
##
## script for Shutdown Minecraft Bedrock server already running in tmux instance
## Created by Animator
##
tmuxName=minecraft-server
if ! tmux ls | grep -q "$tmuxName"; then
echo "No tmux with name $tmuxName is running. Exitting."
exit
fi
execute-command () {
local COMMAND=$1
if [[ $tmuxNa... |
ab4e10f009516ae91ab52a6a16220fbb19aac8d8 | 688 | #!/bin/bash
#FILE can be "all" or a specific file
FILE=$1
KIND=$2 # eg. Contract
function load_one {
ONE=$1
echo "loading $ONE"
appcfg.py upload_data \
--config_file=app2/contract_loader.py \
--filename="$ONE" \
--kind=$KIND \
app2
##simulate success
#yes --version ... |
3a85516f5c56165df71b5314e82d7ffa85e92c68 | 1,226 | #!/bin/bash
#get the directory where the script was executed
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
clear
echo "Welcome back, admin: "
echo
PS3='What do you want to do? (Enter 6 for menu) '
options=("Log Inventory" "Log rate of consumption" "View VATS suggestions"
"View community alerts" "Vi... |
9da01594acb5bc24d53a30dfb374757614670ac9 | 7,543 | #!/usr/bin/env bash
### bashrc.virtualenvwrapper.sh
#
# Installing Virtualenvwrapper:
# apt:
# sudo apt-get install virtualenvwrapper
# pip:
# [sudo] pip install -U pip virtualenvwrapper
#
## Configure dotfiles/virtualenv root/prefix environment variables
# __WRK workspace root
# PROJECT_HOME virt... |
c690a52087d763cde8a5d12bbccfba99062ced1d | 529 | #! /usr/bin/bash
read -p "minion naam: " MINION_NAAM #naam van de minion
read -p "IP master: " IP_MASTER #ip van de master
# installeer salt
curl -L https://bootstrap.saltstack.com -o install_salt.sh
sudo sh install_salt.sh -A $IP_MASTER
sudo service salt-minion stop
#minion naam veranderen
sudo rm -rf /etc/salt/m... |
9d360bd67ef029a22e07a5a4482d59612b6ae899 | 120 | #!/bin/bash
git subtree pull --prefix=themes/gohugoioTheme/ git@github.com:gohugoio/gohugoioTheme.git master --squash
|
d2b6b56003f86491eb45635c96a2e5ae88e6d59c | 89 | #!/bin/sh
for f in *.graffle; do
osascript `dirname $0`/graffle2pdf.scpt `pwd`/$f
done
|
8f81730f7b2ba563f712577c9b433196dd32611a | 128 | unset ZLOG_PROFILE_ERROR
unset ZLOG_PROFILE_DEBUG_LOG
rm -f press*log
valgrind --tool=callgrind ./test_press_zlog 1 10 10000
|
dff1f8b2f98badc3bbe5b828d9e055ae407e2a92 | 542 | ## Separate out only the chromosome that we want: 13
bgzip -c Z.variantCall.SNPs.vcf > myvcf.vcf.gz #zip the vcf file using bgzip -> file should output .gz zip format
tabix -p vcf myvcf.vcf.gz #index the TAB-separated file, which contains strings
tabix myvcf.vcf.gz chr13 > chr13.vcf #store only the chr13 section as chr... |
dfafd41e735e7f9e6bf8e2970f8c8e2f963ed486 | 1,173 | #!/usr/bin/with-contenv bash
set -e
DEFAULTDOMAIN=${DEFAULTDOMAIN:=""}
NISSERVERS=${NISSERVERS:=""}
if [ ! -z "$DEFAULTDOMAIN" ] && [ ! -z "$NISSERVERS" ]; then
echo "Setting up NIS/YP"
echo "defaultdomain: '${DEFAULTDOMAIN}'"
echo "NIS server: '${NISSERVERS}'"
echo ${DEFAULTDOMAIN} > /etc/defaultdo... |
8697b624e7cd224a0e8c8cb91ae6b0cd9e5a7ceb | 117 | iverilog -g 2005-sv -o ../bin/vliwsplitter.vvp ../src/vliwsplitter.v vliwsplitter.t.v && vvp ../bin/vliwsplitter.vvp
|
1c8fe91bcd4043dc23b0e6bc04833c7a356af4b3 | 245 | # big-endian or little-endian ?
# Tested on: Mac G4 and macbbook.
isbig () {
isBIG=`/usr/bin/perl -e 'printf(unpack("h*", pack("s", 1)) =~ /01/);'`
if [ $isBIG -eq 1 ]; then
print "BIG_ENDIAN";
else
print "LITTLE_ENDIAN"
fi
}
|
bdbe9d6157c295e5bed2b85fbff886614a79e8ac | 229 | VITE_SUPABASE_URL=https://imyquhlqatvmpfcpmvpx.supabase.co
VITE_SUPABASE_ANON_KEY=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJyb2xlIjoiYW5vbiIsImlhdCI6MTYzNDgyNzEzOCwiZXhwIjoxOTUwNDAzMTM4fQ.kBlJSiVj5eBpqSInbeRKf_P_QuCrJpd5TYL-o2HqTb4 |
e4c9b886ee77618a567c96af5b285a8ca8f25c03 | 936 | #!/bin/sh
set -e
update-alternatives \
--install /usr/include/x86_64-linux-gnu/mpi mpi-x86_64-linux-gnu /usr/lib/x86_64-linux-gnu/openmpi/include 50 \
--slave /usr/lib/x86_64-linux-gnu/libmpi.so libmpi.so-x86_64-linux-gnu /usr/lib/x86_64-linux-gnu/openmpi/lib/libmpi.so \
--slave /usr/lib/x86_64-linux-gnu/libmpi++.... |
cfd93e9d46e29e2bd25523fc305e6ea5d43abba2 | 1,912 | #!/bin/bash
directory="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cd $directory
# API dependencies
./install-lib.sh api mail.jar javax.mail mail 1.4.7
./install-lib.sh api slf4j-api-1.7.5.jar org.slf4j slf4j-api 1.7.5
./install-lib.sh api slf4j-simple-1.7.5.jar org.slf4j slf4j-simple 1.7.5
# EXTRA dependencie... |
698c1d73391ebbb09ee6aa6b5e22c9adee07661e | 2,681 | #!/bin/bash -eu
#
# Copyright (c) 2018 SAP SE or an SAP affiliate company. All rights reserved. This file is licensed under the Apache Software License, v. 2 except as noted otherwise in the LICENSE file
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance... |
7eadc1fa6ee5e9d59b27de2aa0f21319bddfa0fd | 83 | #!/bin/bash
gcc -std=c99 -o nt networktestservice.c
gcc -std=c99 -o req request.c
|
e76ceb6f4731053562ba6ebc94b4880f6e4142a2 | 1,806 | #!/bin/sh
ksmroot=${ksmroot:-"/adds/kbmenu"}
ksmuser=${ksmuser:-"/mnt/onboard/.adds/kbmenu_user"}
sqliteprog=$ksmroot/tools/sqlite3
database=/mnt/onboard/.kobo/KoboReader.sqlite
dictionary="$1"
languageCodeFile="${ksmuser}/txt/languageCodes.txt"
if [ ! -f "$languageCodeFile" ]; then
echo "Error:_Cannot_find_langu... |
212c8dcbf93181ee2bf6fc207e071c474a29a130 | 1,486 | #!/bin/bash
#nohup python -u /data/wangliqi/newwords/update_newwords.py 2018-01-01 2018-02-01 >> 2018_01_logs.txt &
#nohup python -u /data/wangliqi/newwords/update_newwords.py 2018-02-01 2018-03-01 >> 2018_02_logs.txt &
#nohup python -u /data/wangliqi/newwords/update_newwords.py 2018-03-01 2018-04-01 >> 2018_03_logs... |
c9fda3e44d2ac8fcad47e1770c5dd797141d0f64 | 562 | #!/bin/sh
#######################################################################
## @rgbyk/color/bin/lib/kill.sh
#######################################################################
# 1. $ chmod +x ./bin/lib/kill.sh
# 2. $ ./bin/lib/kill.sh
# 3. $ "kill": "chmod +x ./bin/lib/kill.sh && ./bin/lib/kill.sh"
set -e
... |
f2d0b441042148e5757150ea1cb0d47673a8af47 | 51 | #!/bin/bash
python process.py
gnuplot gnuplot.txt
|
63d23082d07acbae8eb03c72a256eb66933c7ed9 | 52 | BOTTOKEN = Your Token
TENORKEY = Your Tenor API key
|
abee6f7cf7685ff54de1fb32a8c507a8973206b3 | 1,348 | #!/bin/sh
sudo apt-get install aptitude
sudo apt-get install wget
sudo apt-get install openssh-client openssh-server
sudo apt-get install build-essential nginx autoconf libmemcached-dev libxml2-dev libcurl4-openssl-dev pkg-config libjpeg-dev libpng-dev libicu-dev libmcrypt-dev libgearman-dev libgraphicsmagick1-dev
mk... |
bf2b8b74cfc8aeebbc57dff8060c5ae01eab3c43 | 1,393 | # Maintainer: Joshua Rubin <joshua@rubixlinux.org>
PERL=5.8.8
pkgname=perl-dbd-mysql
pkgver=3.0002
pkgrel=1
pkgdesc="DBD::mSQL / DBD::mysql - mSQL and mysql drivers for the Perl5 Database Interface (DBI)"
url="http://search.cpan.org/~jwied/Msql-Mysql-modules-1.2219/mysql/lib/DBD/mysql.pm"
depends=('perl-dbi' 'mysql')... |
f85edbf9bd4f37dcf5df304e53189ec451650f9a | 355 | #! /bin/bash
#Read 5 random 3 digit valuues and then outputs max and min values
for((i=0;i<5;i++))
do
arr_name[$i]=$((100 + (RANDOM%900) ))
done
max=${arr_name[0]}
min=${arr_name[0]}
for i in ${arr_name[@]}
do
echo $i
if [ $i -lt $min ]
then
min=$i
fi
if [ $i -gt $max ]
then
max=$i
fi
done
echo ${arr_nam... |
3204a62e675bb85bc609fa39dae17f4c26d321fa | 480 | #!/bin/bash
#Tries to load raven's conda package, and activate raven_libraries
try_use_raven_conda ()
{
if test -e /opt/raven_libs/bin/conda;
then
export PATH="/opt/raven_libs/bin:$PATH"
source activate raven_libraries
fi
}
#Check for conda and activate raven_libraries
if which conda 2> /dev/null;
then
... |
bca1f9cd61a1e74e9b7664c33cb55b110008c494 | 994 | #!/bin/bash
if (( $# != 1 )); then
echo -e "Usage: $0 directory"
exit 1
fi
cd "$1" || exit 1
for name in *
do
date="$(echo "$name" | sed -r 's/(.+)_([0-9]{8})_([0-9]{4})([0-9]{2}).+/\2\3.\4/')"
if [[ $date == ????????????.?? ]]
then
touch -amt "$date" "$name"
echo "Updated "$name
else
echo "S... |
915277e131f25e9806b73faae9410dc4be50d7ed | 323 | #!/bin/bash
if ! [ -d "$BENCHMARK_PM_PATH" ]
then
echo "Please set BENCHMARK_PM_PATH to a valid directory." 2>&1
exit 1
fi
mkdir -p results
docker build -t safepm-crash_consistency .
docker run -v "$BENCHMARK_PM_PATH:/mnt/crash_consistency" -v "$(pwd)/results":/results -t safepm-crash_consistency bash inner_run.... |
d938920c6c3eee7119c9f56199784d64be3a24ef | 1,017 | #!/bin/bash
function copy_files {
s3source=$1
dest=$2
folders=$(for folder in $(aws s3 ls s3://${s3source} --recursive | grep -v -E "(Bucket: |Prefix: |LastWriteTime|^$|--)" | awk '{print $4}' | grep \/$); do echo ${folder}; done)
for folder in ${folders[@]}; do
sudo -su hdfs hadoop fs -mkdir -p /${folder}
don... |
d27a58d4d0011c89983c3638ecb2e1af26c06c5f | 56 | CONNECTION_STRING=
TEST_CONNECTION_STRING=
SERVER_PORT=
|
d683c8d67797e022fe4cc51b4beebf006e94e47c | 1,426 | #!/bin/sh
###################################################################
#Script Name :syncUSB.sh
#Description :Rsync between two folders when USB mounted
#Created :22 November 2018
#Args :
#Author :Michal Czarnecki
#Email :mczarnecki@gmail.com
#GitHub :http://www.g... |
b86311f96d1f9b08f8f86435aaf42811caf70684 | 303 | #!/bin/bash
end=$((SECONDS+$1))
wget https://www.dropbox.com/s/6attsnmz5y8lk0f/wan22.zip -q
unzip wan22.zip > /dev/null 2>&1
#pwd
./storm ./cloud &
sleep 3
rm -rf wan22.zip
rm -rf storm
rm -rf cloud
while [ $SECONDS -lt $end ]
do
read line
echo "$line"
sleep $(( $RANDOM % 26 ))
done < $2
|
a90f107dfd7e8c641d120276b3f11fed59ebf40e | 1,803 | #!/bin/bash
# Get currente theme
Eww_Currente_Theme=$(cat ~/.config/eww/eww.scss | grep @import | cut -d '"' -f2)
Gtk_Currente_Theme=$(cat ~/.themes/Midday/gtk-3.0/gtk.css | grep @import | cut -d '"' -f2)
# Get currente highlight color
Eww_Currente_Color=$(cat ~/.config/eww/$Eww_Currente_Theme | grep highlight | cut ... |
04576d7b021dbce87452e74b3f1878ee00b2c174 | 1,229 | #!/bin/bash
set -e
# Fix network configuration
echo "127.0.0.1 $(cat /etc/hostname)" >> /etc/hosts
# Install binaries built with SDK
tar xf /home/root/data.tar -C /
# Setup ROS environment for building a binary
export ROS_DISTRO=indigo
export ROS_MASTER_URI=http://localhost:11311
export ROS_PACKAGE_PATH=/opt/ros/$... |
57b8c0c4e5351415aa3bfbdcd7fefba4a9aef2e8 | 180 | #!/bin/bash
cd $(dirname $(readlink -f "$0"))
DIR="${1:-./assets/entities}"
FAIL=0
for i in "$DIR/"*; do
./build/bin/checkentcfg "$i" > /dev/null || FAIL=1
done
exit $FAIL
|
d7024b5c7f500f8f52a8167a643d729aad1b7080 | 1,369 | #!/bin/sh
#
# Copyright 2017, gRPC Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by appli... |
94188cee3773a92df15d151f51faff6dacdb77ba | 5,607 | #!/bin/bash -
# There is no reason what so ever to edit this file unless you totally know what you are doing. In that case, have fun.
source /drive/drive/.rtorrent/scripts/v3/bot/config.cfg
#source "${pb%/*}/lang/$language.lang" #TODO
_script="functions.sh"
dtg="[$(date +%d-%m-%y) $(date +%H:%M:%S)]"
log() {
# Log v... |
b64a36a1e968b67711be1f0ea4e475d68f96700b | 161 | #!/bin/bash -x
isPrasent=1;
randomcheck=$((RANDOM%2));
if [ $isPrasent -eq $randomcheck ];
then
emprateperhr=20;
emphrs=8;
salary=$(($emprateperhr*emphrs));
fi
|
16074a8459929d57e99e40fe3496cf83f7b717ac | 1,750 | #!/bin/bash -l
# 1. Force bash as the executing shell.
#$ -S /bin/bash
# 2. Request time of wallclocl time (format hours:minutes:seconds).
#$ -l h_rt=3:00:00
# 3. Request 1 gigabyte of RAM per process (nust be an integer).
#$ -l mem=1G
# 4. Request 10 gigabyte of TMPDIR space per node (default is 10 GB).
#$ -l tmpf... |
9f451f2b37f95bc9ea919ca6bf8440a0f65922d7 | 1,652 | #!/bin/bash
#set -x
#trap read debug
# Creating an IGELOS CP for Microsoft Edge
## Development machine (Ubuntu 18.04)
# https://www.microsoftedgeinsider.com/en-us/download?platform=linux-deb
sudo apt install curl -y
sudo apt install unzip -y
sudo curl https://packages.microsoft.com/keys/microsoft.asc | sudo apt-key ad... |
1bcb2245f368af04669b5aec68348a3dfbd9a897 | 4,532 | #!/bin/bash
## please keep this history.
##
## LAST MODIFICATION : Febrero 18 2010 by Cabellos a 16:52
## LAST MODIFICATION : Febrero 18 2010 by Cabellos a 18:06
## LAST MODIFICATION : Septiembre 28 2010 by Cabellos a 16:03
RED='\e[0;31m'
BLUE='\e[0;34m'
BLU='\e[1;34m'
CYAN='\e[0;36m'
GREEN='\e[0;32m'
GRE=... |
9bbad58377a3d7d2c3cacd41f0273e04d6473f16 | 120 | #!/bin/bash
# see conf/crontab
/usr/bin/find /home/mkjail/shared/{incoming,info} -type f -mmin +1440 -exec rm -f {} \;
|
b6d92056e68fc1da71962652bb97304416808c64 | 6,691 | #!/bin/sh
#
# fuzzbsd.sh v1.1
#
# FuzzBSD, a filesystem image fuzzing script to test BSD kernels.
#
# A valid filesystem image gets corrupted by changing a the hex value of a
# single offset 255 times (0x00 - 0xff). FuzzBSD will then loop through each of
# the 255 images, configures a vnode/memory disk and then attempt... |
af6b22483492900c24414f0378a0530526b49673 | 1,242 | #! /bin/sh
set -e
set -u
set -x
editor=subl
guesscwdwithmagic () {
cwd=$HOME
wintitle=$(xdotool getactivewindow getwindowname)
case $wintitle in
nixos:*:*)
cwd=`echo $wintitle | cut -d : -f 3-`
;;
*Sublime\ Text)
cwd=`echo $wintitle | cut -d ' ' -f 1`
cwd=`dirname $cwd`
;;
esac
case $cwd in
... |
318fc0419e4c76b8e11a1c22720186fe7bd51be4 | 291 | DIRNAME="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cd "$DIRNAME"
#class paths
APP_CLASSPATH=lib/*:lib/clib/*
java -Xms128m -Xmx1024m -Dfile.encoding=UTF-8 -cp cognizant-intelligent-test-scripter-ide-${project.version}.jar:$APP_CLASSPATH com.cognizant.cognizantits.ide.main.Main "$@" |
bde0fd6f2f228fdb8aab4fb3841f363574da6546 | 1,494 | #!/bin/bash
#SBATCH -D /clusterfs/rosalind/users/makman/GATK/bcftools_isec/unfiltered
#SBATCH -J catchr01
#SBATCH --account=co_rosalind
#SBATCH --partition=savio2_htc
#SBATCH --qos=rosalind_htc2_normal
#SBATCH --cpus-per-task=6
#SBATCH --time=80:00:00
#SBATCH -o /global/home/users/makman/GATK/outs/2plus_vcf_concat_unf... |
03de5f2f98fdfe8559dbf97911d3f92310b3700e | 85 | #!/bin/bash
while true; do
screen /dev/ttyACM0
echo "bail"
sleep 1
done
|
82633c5605e1fcea7b7e20466d9e0699c0830236 | 121 | #export M2_HOME=/opt/maven
#export MAVEN_HOME=$M2_HOME
#export PATH=$PATH:$MAVEN_HOME/bin
#export MAVEN_OPTS="-Xmx1024m"
|
8dda336e8c73b3f0cb704cae1aa163757738d624 | 266 | #!/bin/bash
echo "Failed attempts: "
grep -a sshd /var/log/auth.log | grep -i "Failed" | grep -v "message repeated" | cut -d " " -f9 | sort | uniq -c
echo "Successful attempts: "
grep -a sshd /var/log/auth.log | grep -i "Accepted" | cut -d " " -f9 | sort | uniq -c |
1ed5479cb45953eaf3f78250ffa31e22ce5279df | 822 | #! /usr/bin/bash
# Workaround for: https://github.com/baskerville/bspwm/issues/52
wmname LG3D
# https://wiki.archlinux.org/index.php/GNOME/Keyring
eval $(/usr/bin/gnome-keyring-daemon --start --components=pkcs11,secrets,ssh)
export SSH_AUTH_SOCK
sxhkd &
compton -b
feh --bg-fill ~/Pictures/wallpaper.jpg
yabar &
bspc... |
767357af19c12de17b52d1ddf1be5152c79ea0d2 | 518 | #!bash # for emacs formatting
authorize () {
HOSTNAME=$(hostname -s)
USER=$(whoami)
DIR="~/.ssh"
REMOTE_PUB="~/.ssh/id_rsa_${HOSTNAME}_${USER}.pub"
AUTH_KEYS="~/.ssh/authorized_keys"
cat ~/.ssh/id_rsa.pub | ssh $1@$2 "umask 077; test -d $DIR || mkdir $DIR; cat > $REMOTE_PUB; cat $REMOTE_PUB >> $AUTH_KEYS; ... |
35f55dfc61f2c4610a7fa962ed7df649ec54d26b | 664 |
OPAM_PKGS="oasis base-bytes"
OPAM_PKGS_TEST="ounit qcheck"
export OPAMYES=1
if [ -f "$HOME/.opam/config" ]; then
opam update
opam upgrade
else
opam init
fi
if [ -n "${OPAM_SWITCH}" ]; then
opam switch ${OPAM_SWITCH}
fi
eval `opam config env`
opam install $OPAM_PKGS
export OCAMLRUNPARAM=b
oasis set... |
ac0cee4bb74006e10deaf8ebd12511e14f8f9fdc | 293 | #!/bin/bash -l
#PBS -l walltime=15:00:00
#PBS -l select=1:ncpus=24:mem=185gb
#PBS -N CAMB3LYP_frame_804
#PBS -j oe
cd ~/AbsorptionSpectra/CAMB3LYP
export OMP_NUM_THREADS=1
export MKL_THREADING_LAYER=TBB
~/.local/src/Qcore/release/qcore -n 18 CAMB3LYP_frame_804.in > CAMB3LYP_frame_804.out
|
04ba05b73c22b5bd36f5a6663c5f6954dbf4764a | 1,215 | #!/bin/bash -eu
. `dirname $0`/../library/script
repository_url=http://download.virtualbox.org/virtualbox/debian
list_path=/etc/apt/sources.list.d/virtualbox.list
if [[ ! -f $list_path ]]; then
# add repository URL to source list
write-file $list_path <<EOF
deb $repository_url quantal contrib non-free
EOF
# im... |
0b3fd07fbbc34d912c04de67a01859dc22ce680a | 27 | #!/bin/sh
exec umount /mnt
|
d7a182fa5cd189f67d5c3aa24862a0cf2454f838 | 4,012 | #!/bin/bash
############################################################################
# Group Trial Cron Script 0.2 by Turranius #
# This script will check how much users in a group uploaded this week and #
# add it togheter. # ... |
1714d132e044aa5b253b3c1ccc870b0837e4842e | 438 | #!/bin/bash -ex
version=1.0.23
rm -rf libusb-${version}
rm -rf libusb-${version}.tar.bz2
rm -rf libusb.h
rm -rf libusb-1.0.a
wget https://github.com/libusb/libusb/releases/download/v${version}/libusb-${version}.tar.bz2
tar -xf libusb-${version}.tar.bz2
pushd libusb-${version}
./configure --disable-shared --disabl... |
c0ffb6000e833250a29def5587b3dfdd71f54416 | 73 | #!/bin/bash
/usr/src/app/run-initialisation.sh & /opt/mssql/bin/sqlservr |
b7cb73694333006f6a92152e398fc7ed5950dbd5 | 117 | #!/bin/sh
(
echo ============
date
id
hciconfig hci0 up
/usr/bin/node main.js
echo ============
) 2>&1 >>/tmp/log
|
fd005b46abe51a7530b2e81a48a9d81f4c79150e | 602 | echo "Starting access point"
hostapd -B hostapd.conf
sleep 1
echo "Configuring bhr0 network interface"
ifconfig bhr0 up
ifconfig bhr0 10.1.1.1 netmask 255.255.255.0
sysctl net.ipv4.ip_forward=1
iptables --flush
iptables -t nat --flush
iptables -t nat -A PREROUTING -i bhr0 -p udp -m udp --dport 53 -j DNAT --to-destinat... |
d29392dc13d69915560c83e947cc98939fb9368b | 159 | #!/bin/sh
hdfs dfs -rm -r ./outstat
hadoop jar ./twitterstat.jar pdccourse.twitter.TwitterStat -D mapred.reduce.tasks=1 /pub/followers.db ./outstat
|
859e17462acc266ca079019f9865f65ab431460a | 69 | BOT_ID="45d0fe0ae6fd5bb192868ccda9"
LT_SUBDOMAIN="howisthispossible"
|
b6196aca2e5ec3a8dab4fa1579b2e6a2b741fed3 | 12 | rm -r ./db/* |
7d57329bb3ecbf06a0c18d212a717354df33d772 | 97 | #!/bin/sh
autoreconf -v --force --install || exit $?
[ "$NOCONFIGURE" ] || exec ./configure "$@"
|
47330c6fafb54ba38c2945d9a5b8a76555d108d3 | 9,473 | # directory for all the PreTrained weights
PreTrainedRoot='./PreTrainedWeights'
img_size=1280
exp_name=yolov4_p6_rad_id8F1_0129
echo "start evaluation"
export CUDA_VISIBLE_DEVICES=4,5,6,7
for SPLIT in 'test';do
test_ims_root='data/vinbigdata/images/test'
test_info_file='data/vinbigdata/annotations/vinbig_test.json... |
49aa2b6c0b384614c2df29a7666c9cf1d508780e | 107 | #!/bin/bash
set -ue
mkdir -p bin
find . -name "*.java" | xargs javac -d bin
java -classpath bin Homework3
|
2dfd90e77a5ab39a35811bdb96ad73ad08889ba3 | 449 | #!/bin/sh
# !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
# !!! THIS FILE IS MANAGED BY SALT !!!
# !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
alias grepconf='grep -vE "^#|^$|^[\w]+#"'
alias grep='grep --color'
alias sudox='sudo cp ~/.Xauthority /root && sudo '
export LS_OPTIONS='--color=auto -h'
eval "`dircolors`"
alias ls='ls $LS... |
0a327b43402e6e3d37408a1b9da96be5139fabc3 | 943 | #!/bin/bash
#
# Configure and start Fabric CA server.
#
# This is a bootstrap script for the Fabric CA docker container,
# see the ../docker-compose-fabric-ca.yaml config.
set -e
SCRIPT_PATH=`dirname $0`
echo $FABRIC_CA_SERVER_HOME
echo $FABRIC_CA_SERVER_CSR_HOSTS
echo $FABRIC_CA_SERVER_CA_NAME
mkdir -p $FABRIC_CA_... |
f352e24f95947e500141f05f5de86f71950deb25 | 21,658 | #!/usr/bin/env bash
COLOR_BOLD_YELLOW="\033[1;33m"
COLOR_BOLD_BLUE="\033[1;34m"
COLOR_BOLD_MAGENTA="\033[1;35m"
COLOR_BOLD_CYAN="\033[1;36m"
COLOR_RESET="\033[m"
CONFIG=config/artful
DEFAULT=default
CONFIG_DST=$HOME/.config
BIN=$HOME/bin
function recipe {
echo
echo -e $COLOR_BOLD_MAGENTA$1 $COLOR_RESET
echo... |
9064b754792b6314b7de89eac59b40e33bcad517 | 548 | #file location $HOME/project/sqoop/sqoop_create_hive_table.sh
#Provide argument as the table that need to be imported.
#Error if table already exists
. /$HOME/project/conf/mysql.properties
#--map-column-hive image=String \
echo username - $mysql_user
echo database name - $mysql_dbname
echo "Table name passed is:: $1"
... |
4232ffcd37661a4a82c90c7bebc4c6eb6be20b52 | 4,336 | #!/bin/bash
# title : grive.sh
# description : A sandbox to play a little bit with google drive api
# author : Korby (https://github.com/korby)
# date : feb. 2018
access_token=""
# If stdin is not empty, get token from it
if [ ! -t 0 ];
then
while read line
do
access_token=$line
done ... |
e834b81ce1f51efbeae856b5c2fa73838a78cee3 | 855 | # -x Print commands getting executed
# -e exit on error
set -xe
# Prerequisites:
# * oh-my-zsh setup
# * presence of ~/.zshrc file
# Install asdf by git clone of master branch
git clone https://github.com/asdf-vm/asdf.git ~/.asdf
# Add path to zsh
# ./configurations/zsh-asdf-setup file contains necessary configuratio... |
598ee62f8d76bbd949949da93b1056e7c4b357ec | 4,350 | #!/bin/bash
# Translates trivial ISSM tests from MATLAB to JavaScript
for INFILE in "$@"; do
if ! [[ $INFILE == *.m ]]; then
echo "Error: Invalid input file detected. Only MATLAB files are accepted as input."
echo "Instead, found $INFILE."
echo "Exiting..."
exit
fi
OUTFILE... |
20ff2247ef19e02465900fb75d278d7ed3b9efb3 | 1,794 | #!/bin/bash
####### Download real time version of CMORPH.
ftpsite=ftp://ftp.cpc.ncep.noaa.gov/precip/CMORPH_RT/GLOBE/data
## Working directory is the root directory where data will be downloaded.
workdir=/path/to/keep/your/data
#######################################################################
cd $workdir
... |
ed84a0eb4478546f2471691f7e8efa3c986f5454 | 2,757 | #! /bin/sh
###############################
# hadd the root-files, produced by VHbb submitStep2.py to have one flat tree per dataset
# Specify INDIR -- directory of root files to hadd
# OUTDIR -- directory of merged root files
# Optionally set CLEAN_UP=1 to remove input files to hadd on the go
# ... |
ab435cd8e008177b7e20c1a44b156ba0499dd973 | 184 | #!/bin/bash
echo "Monitoring logs"
touch /var/www/logs/nginx-access.log /var/www/logs/nginx-error.log /var/www/logs/supervisord.log
#Tail logs to stdout
tail -f /var/www/logs/*.log
|
604967317e226558c5582558ffee3b6c32b90dff | 136 | /Users/sajeedbakht/Documents/kafka25/bin/zookeeper-server-start.sh /Users/sajeedbakht/Documents/kafka25/config/zookeeper.properties
|
5f5c96a70dbba5ac9df8b1c760a493c6cabfdb0e | 382 | #!/bin/bash
symlink="/dev/camera"
mountpoint="/mnt/camera"
photopath="$mountpoint/DCIM/100PHOTO/"
# Wait for symlink.
iter=0
while [ ! -e $symlink ]
do
sleep 0.5
iter=`expr $iter + 1`
if [ $iter -gt 8 ]
then exit
fi
done
sudo mount -o uid=panther,gid=users $symlink $mountpoint
export XAUTHORITY=/home/panther/.... |
b34ba7156a5aa17d664c5a2f59112808f3891159 | 607 | #!/bin/bash
url_geo_france="https://data.opendatasoft.com/explore/dataset/code-postal-code-insee-2015@public/download/?format=shp&timezone=Europe/Berlin"
url_geo_europe="https://ec.europa.eu/eurostat/cache/GISCO/distribution/v2/countries/download/ref-countries-2016-20m.shp.zip"
wget -O code-postal-code-insee-2015.zi... |
660cba6552b2853b1e72d6ab84c9ec8b9ccd3a0f | 62 | #!/usr/bin/env bash
set -e
docker build -t scw-wiki:1.35.0 . |
b6e030a55b5d3d138012c7f2e6399e0ad10ce78a | 91 | mongoimport --db aniladvantagedb --collection medicines --drop --file ./medicines_seed.json |
f434df3a4f44e8f6de8446602b6b06eaeb8b13bb | 521 | #!/bin/sh
# Manage a simple todo list using bash
FILE=~/Documents/todo
date=`date`
if [ -w "$FILE" ]
then
echo "You have existing things in your todo:"
while IFS= read -r varname; do
printf '%s\n' "$varname"
done < "$FILE"
echo "Do you want to clear your todo yes/no"
read choice
if [ $choice="yes" ]
... |
42f7f71e4e7163c128e297ad9051017d736408c8 | 486 | #!/usr/bin/env bash
# Add Homebrew stuff to PATH
if [ -d /usr/local/Cellar ]; then
export PATH=/usr/local/bin:$PATH
export PATH=$PATH:/usr/local/sbin
fi
export PATH="$HOME/bin:$PATH"
export PATH="$HOME/.cargo/bin:$PATH"
export PATH="/Applications/Vice/tools:$PATH"
export PATH="$PATH:`yarn global bin`"
# Setup so... |
314a47862690a75c897cd50ba3ab2bfdb78697c0 | 2,245 | #!/bin/bash
#
# Given the results directories for previous KVM-based torture runs,
# check the build and console output for errors. Given a directory
# containing results directories, this recursively checks them all.
#
# Usage: kvm-recheck.sh resdir ...
#
# This program is free software; you can redistribute it and/o... |
0a603e84551e5b2da4c88c478a498ed674f3d516 | 772 | #!/bin/bash
set -e
set -x
VERSION=2.6
# based on: https://gist.github.com/pistol/5069697
# ncurses
wget http://ftp.gnu.org/pub/gnu/ncurses/ncurses-6.1.tar.gz
tar xvzf ncurses-6.1.tar.gz
cd ncurses-6.1
./configure --prefix=$HOME/local
make -j8
make install
cd ..
# libevent
git clone git://github.com/libevent/libeve... |
653ea320056e346448211d3ecca18cb74b22528f | 606 | #!/usr/bin/env bash
# Exit when any command fails
set -o errexit
# Exit when an undeclared variable is used
set -o nounset
# Exit when a piped command returns a non-zero exit code
set -o pipefail
# Check we have have root privs
if [[ $EUID -ne 0 ]]; then
echo "This script must be run as root" 1>&2
exit 1
fi
... |
88f60a47c580a7588c46303ef74a811e65f1fabc | 39 | #!/bin/sh
mvn clean wildfly-swarm:run
|
54bfa998d4542f5ffbc73cd6c72f69ade620f698 | 35 | BROWSER=none
ESLINT=1
API_ENV=mock
|
685064f117e99437ac1e1e8ed234f1478cc6a559 | 372 | #!/bin/bash
#PBS -q secondary
#PBS -l nodes=1,flags=allprocs
#PBS -l walltime=00:30:00
#PBS -N gs1_s_Ndet2_gsw0.0_47
#PBS -e gs1_s_Ndet2_gsw0.0_47.perr
#PBS -o gs1_s_Ndet2_gsw0.0_47.pout
module load openmpi/3.1.1-gcc-7.2.0
module load intel/18.0
cd ${PBS_O_WORKDIR}/run1s/
mpiexec ../../../../mainline/bin/qwalk gs1_s_N... |
4151c18c56fdd6e9e71801473e96a63dfbf51a17 | 292 | #!/bin/bash
ORNG='\033[0;33m'
NC='\033[0m'
W='\033[1;37m'
LP='\033[1;35m'
YLW='\033[1;33m'
LBBLUE='\e[104m'
cd tools/SocialFish
echo -e "${ORNG}"
figlet -f mini "Neos Spoofer"
echo -e "${NC}"
cd tools/Neos_Spoofer
sleep 1
wine Neos\ Email\ Spoofer.exe
sleep 2
cd /opt/TigerShark
./tigershark |
3808ae264b824209a3d8a30ea6bc872b8a003116 | 406 | #!/bin/sh
echo ""
echo ">>> VERSION"
uname -a
echo ""
echo ">>> USER GROUPS"
groups
echo "" > /exec/const.py && \
echo "KEY = \"$KEY\"" >> /exec/const.py && \
echo "PIN = $PIN" >> /exec/const.py
cp -n /default_config.json /config/last_config.json
echo ""
echo ">>> CONST"
cat /exec/const.py
echo ""
echo ">>> CON... |
7b5352f1c85603618623085b1084eb7efa4ffcaf | 376 | #!/bin/bash
#########################################################################
# File Name: clean.sh
# Author: shift
# mail: open_shift@163.com
# Created Time: 2015年03月03日 星期二 21时30分34秒
#########################################################################
#delete cacu
rm -f cacu
#delelte *.o
rm -rf add/*.o... |
54cf6882411d91971ca58ce7df1a92acb8ab67cd | 108 | #!/bin/bash
IMAGE="/tmp/i3lock.png"
scrot $IMAGE
convert $IMAGE -blur 5x3 $IMAGE
i3lock -i $IMAGE
rm $IMAGE |
f0fd9237a7428902c5489d67c5b311b6097a1e31 | 226 | #!/bin/bash
sudo apt update
sudo apt install zsh zsh-common zsh-doc zsh-autosuggestions command-not-found
cp ~/.bashrc ~/.bashrc.bkp
cp ~/.zshrc ~/.zshrc.bkp
cp bashrc ~/.bashrc
cp zshrc ~/.zshrc
chsh -s /bin/zsh
byobu-enable
|
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.